/* النافبار من landing.css */

/* Container */
.container {
    display: flex;
    height: 100vh;
    width: 100%;
    flex-direction: row-reverse;
}

section {
    background: #d9fdff;
    min-height: 100vh;
}

/* Image Section */
.image-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.image-section img {
    max-width: 85%;
    height: auto;
    object-fit: cover;
}

/* Form Section */
.form-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

/* Form Card */
.form-card {
    width: 85%;
    max-width: 450px;
    background-color: #d9fdff;
    border: 1px solid #0A3442;
    padding: 60px 40px;
    border-radius: 25px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    text-align: center;
}

/* Texts */
h2 {
    margin-bottom: 30px;
    color: #333;
}

/* Inputs */
form input {
    width: 100%;
    padding: 16px;
    margin-bottom: 25px;
    border: 1px solid #ccc;
    border-radius: 10px;
    background: #fff;
    font-size: 16px;
}

/* Password field with toggle */
.password-field {
    position: relative;
}

.password-field input {
    padding-left: 40px;
}

#togglePassword {
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    cursor: pointer;
}

#togglePassword img {
    width: 24px;
}

/* Links */
.links {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
}

.links a {
    color: #0088aa;
    text-decoration: none;
    font-size: 14px;
    margin: 5px 0;
}

.links a:hover {
    color: orange;
}

/* Button */
.submit-btn {
    width: 100%;
    padding: 14px;
    background: #fff;
    color: #0A3442;
    border: 1px solid #0A3442;
    border-radius: 10px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
    
}

.submit-btn:hover {
    background: #0A3442;
    color: #fff;
}

/* Responsive Design */
@media (max-width: 991px) {
    .container {
        flex-direction: column;
        height: auto;
    }

    .image-section, .form-section {
        width: 100%;
        min-height: 50vh;
    }

    .form-card {
        width: 90%;
        max-width: 400px;
        padding: 40px 30px;
    }
}

@media (max-width: 768px) {
    .form-card {
        padding: 30px 20px;
    }

    form input, .submit-btn {
        font-size: 15px;
        padding: 12px;
    }
}

@media (max-width: 600px) {
    .form-card {
        width: 95%;
        padding: 25px 15px;
    }

    h2 {
        font-size: 22px;
    }

    form input, .submit-btn {
        font-size: 14px;
        padding: 10px;
    }

    .links a {
        font-size: 13px;
    }
}

@media (max-width: 400px) {
    h2 {
        font-size: 20px;
    }

    .form-card {
        padding: 20px 10px;
    }

    form input, .submit-btn {
        font-size: 13px;
        padding: 8px;
    }
}
